Name:          compile-testing
Version:       0.8
Release:       1%{?dist}
Summary:       Testing tools for javac and annotation processors
License:       ASL 2.0
URL:           https://github.com/google/compile-testing
Source0:       https://github.com/google/compile-testing/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.google.truth:truth)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
A library for testing javac compilation with or
without annotation processors. See the javadoc
for usage examples.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

# Unneeded task
%pom_remove_plugin :maven-release-plugin

%pom_xpath_remove "pom:dependency[pom:artifactId ='tools']/pom:scope"
%pom_xpath_remove "pom:systemPath"
%pom_xpath_set "pom:dependency[pom:artifactId ='tools']/pom:version" 1.8.0

# Require com.google.truth:truth >= 0.25
rm src/test/java/com/google/testing/compile/JavaSourcesSubjectFactoryTest.java \
 src/test/java/com/google/testing/compile/TreeDifferTest.java \
 src/test/java/com/google/testing/compile/TypeEnumeratorTest.java \

%mvn_file : %{name}

%build

%mvn_build 

%install
%mvn_install

%files -f .mfiles
%doc CONTRIBUTING.md README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Nov 27 2015 gil cattaneo <puntogil@libero.it> 0.8-1
- update to 0.8

* Sun Apr 05 2015 gil cattaneo <puntogil@libero.it> 0.6-1
- initial rpm
